Test Tool
tools
Test Tool
POST
Test Tool
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
application/json
Documentation Index
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
curl --request POST \
--url https://qall.io/api/tools/{tool_id}/test \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"args": {},
"assistant_id": 123,
"config_override": {},
"context_override": {}
}
'import requests
url = "https://qall.io/api/tools/{tool_id}/test"
payload = {
"args": {},
"assistant_id": 123,
"config_override": {},
"context_override": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"message": "<string>",
"success": true,
"data": {}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}curl --request POST \
--url https://qall.io/api/tools/{tool_id}/test \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"args": {},
"assistant_id": 123,
"config_override": {},
"context_override": {}
}
'import requests
url = "https://qall.io/api/tools/{tool_id}/test"
payload = {
"args": {},
"assistant_id": 123,
"config_override": {},
"context_override": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"message": "<string>",
"success": true,
"data": {}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.